package com.ruoyi.zhiyuanzhe.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物流记录对象 b_check_records
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@Data
@ApiModel("物流记录对象")
public class BCheckRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 证书id */
    @ApiModelProperty(value = "证书id")
    @Excel(name = "证书id")
    private Long certificateId;

    /** 收件人 */
    @ApiModelProperty(value = "收件人")
    @Excel(name = "收件人")
    private String recipient;

    /** 收件地址 */
    @ApiModelProperty(value = "收件地址")
    @Excel(name = "收件地址")
    private String shippingAddress;

    /** 收件电话 */
    @ApiModelProperty(value = "收件电话")
    @Excel(name = "收件电话")
    private String receivingPhone;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long createId;

    /** 更新者ID */
    @Excel(name = "更新者ID")
    private Long updateId;

    /** 用户权限id */
    @Excel(name = "用户权限id")
    private Long userId;

    /** 部门权限id */
    @Excel(name = "部门权限id")
    private Long deptId;

}
