package com.ruoyi.zhiyuanzhe.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 分页查询积分获取响应类
 */
@Data
@ApiModel("分页查询积分获取响应类")
public class BActivityPointsPageresponse {

    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;


    /**
     * 活动名称
     */
    @ApiModelProperty("活动名称")
    private String name;



    /**
     * 活动名称
     */
    @ApiModelProperty("活动id")
    private Integer activityId;



    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long uId;



    /**
     * 积分
     */
    @ApiModelProperty("积分")
    private String points;


    /**
     * 活动举办方
     */
    @ApiModelProperty("活动举办方")
    private String publisher;


    /**
     * 活动时间
     */
    @ApiModelProperty(value = "活动时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "活动时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date activityTime;



}
