package com.ruoyi.zhiyuanzhe.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 报名对象 b_report
 *
 * @author ruoyi
 * @date 2023-09-21
 */
@Data
@ApiModel("报名对象")
public class BReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long uId;

    /**
     * 活动id
     */
    @Excel(name = "活动id")
    private Long activityId;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;

}
