package com.ruoyi.zhiyuanzhe.domain.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 活动推荐请求类
 *
 * @author wu
 * @since 2023/10/5 20:13
 */
@ApiModel("活动推荐请求类")
@Data
public class EventRecommendationsRequest implements Serializable {

    private static final long serialVersionUID = 587747035950921907L;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Long userId;

    /**
     * 活动名称
     */
    @ApiModelProperty(value = "活动名称", required = true)
    private String name;
}
